package Pooru::API::V0::Controller::Random;
use Mojo::Base "Mojolicious::Controller", -signatures;

sub media ($self)
{
	my $media_id = $self->media_model->random_id;

	return $self->render(
		json => {error => "Media not found."},
		status => 404,
	) if !defined($media_id);

	return $self->redirect_to("show_media", media_id => $media_id);
}

sub tag ($self)
{
	my $tag_id = $self->tags_model->random_id;

	return $self->render(
		json => {error => "Tag not found."},
		status => 404,
	) if !defined($tag_id);

	return $self->redirect_to(
	    $self->url_for("show_tag")->query(id => $tag_id));
}

1;
